Skip to content
Browse files

regression-tests: makes configuration compatible with 2.2 and 2.4

  • Loading branch information...
1 parent e9813cd commit 6fc4cac37ab1be8d1232140042b58fe4bd93ee17 @zimmerle zimmerle committed Dec 10, 2013
Showing with 12 additions and 3 deletions.
  1. +12 −3 tests/regression/server_root/conf/httpd.conf.in
View
15 tests/regression/server_root/conf/httpd.conf.in
@@ -1,7 +1,9 @@
### Base configuration for starting Apache httpd
-LoadModule access_compat_module /usr/lib/apache2/modules/mod_access_compat.so
-LoadModule mpm_worker_module /usr/lib/apache2/modules/mod_mpm_worker.so
+<IfModule !mod_authz_core.c>
+ LoadModule access_compat_module /usr/lib/apache2/modules/mod_access_compat.so
+ LoadModule mpm_worker_module /usr/lib/apache2/modules/mod_mpm_worker.so
+</IfModule>
<IfDefine !CHROOT>
# File locations
@@ -35,6 +37,13 @@ ErrorLog @MSC_REGRESSION_LOGS_DIR@/error.log
Options +Indexes +FollowSymLinks
AllowOverride None
Allow from all
- Satisfy Any
+
+ <IfModule !mod_authz_core.c>
+ Satisfy Any
+ </IfModule>
+
+ <IfModule mod_authz_core.c>
+ Require all granted
+ </IfModule>
</Directory>
</IfDefine>

0 comments on commit 6fc4cac

Please sign in to comment.
Something went wrong with that request. Please try again.